Bug 1756488 - Missing wpa_supplicant in Fedora Server 31-34 Beta [NEEDINFO]
Summary: Missing wpa_supplicant in Fedora Server 31-34 Beta
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 34
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact:
URL:
Whiteboard:
: 1893123 1916528 (view as bug list)
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2019-09-27 18:30 UTC by nicolasoliver03
Modified: 2021-04-30 18:49 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
dcaratti: needinfo? (kallisti5)


Attachments (Terms of Use)

Description nicolasoliver03 2019-09-27 18:30:43 UTC
Description of problem:
Missing wpa_supplicant in freshly installed Fedora 31 Server Beta (Fedora-Server-dvd-x86_64-31_Beta-1.1). Unable to setup wifi connection. 

Version-Release number of selected component (if applicable):
Fedora-Server-dvd-x86_64-31_Beta-1.1
wpa_supplicant-2.9-1.fc32.x86_64

How reproducible:
Install Fedora-Server-dvd-x86_64-31_Beta-1.1 in a host.
which wpa_supplicant will say "not found"

Steps to Reproduce:
1. Install Fedora-Server-dvd-x86_64-31_Beta-1.1
2. which wpa_supplicant
3. systemctl status

Actual results:
wpa_supplicant not found
systemctl status shows "degraded"
Network Manager Wait Online service failed
nmcli device wifi cannot scan
wifi device listed as unavailable

Expected results:
wpa_supplicant should be present
Should be able to setup a wifi connection

Additional info:
Workaround when no wired connection is available is to manually download http://download-ib01.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/w/wpa_supplicant-2.9-1.fc32.x86_64.rpm, copy it into the host and manually install

Comment 1 Felix Pojtinger 2019-11-12 22:18:05 UTC
Can confirm the issue. Fresh install of Fedora 31 Server with Wifi setup during Anaconda fails to connect to Wifi, installing the `wpa_supplicant` package from the comment above and a quick `systemctl enable wpa_supplicant.service --now` fixes the issue.

Comment 2 Khalsa Jings 2020-01-13 05:18:46 UTC
Thank you for the workaround Felix P. I can confirm that this issue exists in the released version of Fedora 31 (server). Linux xxxxx.localdomain 5.4.8-200.fc31.x86_64 #1 SMP Mon Jan 6 16:44:18 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux.

Comment 3 Joe Fidler 2020-04-25 01:56:42 UTC
After a frustrating hour trying to create a wifi link with a fresh install of Fedora Server 32 (beta 1.2) I found this bug still exists. 

systemctl status wpa_supplicant
Unit wpa_supplicant.service could not be found

Comment 4 Davide Caratti 2020-04-27 11:27:37 UTC
(In reply to nicolasoliver03 from comment #0)
> Description of problem:
> 
> Actual results:
> wpa_supplicant not found
> systemctl status shows "degraded"
> Network Manager Wait Online service failed
> nmcli device wifi cannot scan
> wifi device listed as unavailable
> 
> Expected results:
> wpa_supplicant should be present
> Should be able to setup a wifi connection

(In reply to Joe Fidler from comment #3)
> After a frustrating hour trying to create a wifi link with a fresh install
> of Fedora Server 32 (beta 1.2) I found this bug still exists. 
> 
> systemctl status wpa_supplicant
> Unit wpa_supplicant.service could not be found

Just adding wpa_supplicant to the mandatory packages for f32 wouldn't fix your problem:
NetworkManager-wifi would also be needed to allow proper operation with NetworkManager.

That said, I agree wpa_supplicant can theoretically be included  in Fedora Server, even
without the need for supporting WiFi, because users might need to setup wired connections
like 802.1x or macsec.

Comment 5 Joe Fidler 2020-04-27 22:13:20 UTC
(In reply to Davide Caratti from comment #4)

> Just adding wpa_supplicant to the mandatory packages for f32 wouldn't fix
> your problem:
> NetworkManager-wifi would also be needed to allow proper operation with
> NetworkManager.
> 
> That said, I agree wpa_supplicant can theoretically be included  in Fedora
> Server, even
> without the need for supporting WiFi, because users might need to setup
> wired connections
> like 802.1x or macsec.

Davide I didn't know about the other missing components, so your response is very helpful and explains why I never got this working. Agree fully that loading wpa_supplicant on it's own makes no sense (in my context at least ) unless a working connection can be created. My gear only had wifi connection available, but I understand that is probably not "normal" in a server context. I also get the need to keep pre-loaded stuff to a minimum, that is in fact why I was looking at Server instead of CoreOS with it's higher memory requirement. 

I guess that technically this is not a bug unless the intent is to fully support out-of-the-box wifi connections? Thanks again, cheers, Joe.

Comment 6 Joe Fidler 2020-04-30 06:37:39 UTC
I just got wifi working on a fresh install from the released Fedora Server 32 DVD x86_64. Looks like NetworkManager-wifi is installed by default -  so the only missing component required to get things going is wpa_supplicant (and a reboot).

Comment 7 Davide Caratti 2020-04-30 14:03:54 UTC
(In reply to Joe Fidler from comment #6)
> I just got wifi working on a fresh install from the released Fedora Server
> 32 DVD x86_64. Looks like NetworkManager-wifi is installed by default -  so
> the only missing component required to get things going is wpa_supplicant
> (and a reboot).

please note: if your distro has NetworkManager-wifi but *not* wpa_supplicant,
and your wifi is functional, it means that another daemon (e.g. iwd) is handling
wireless authentication and configuration of the hardware. Looking at the
spec:


%if %{with iwd} && (0%{?fedora} > 24 || 0%{?rhel} > 7)
Requires: (wpa_supplicant >= %{wpa_supplicant_version} or iwd)  
Suggests: wpa_supplicant
%else
# Just require wpa_supplicant on platforms that don't support boolean
# dependencies even though the plugin supports both supplicant and
# iwd backend.
Requires: wpa_supplicant >= %{wpa_supplicant_version}
%endif

can you please check?
-- 
davide

Comment 8 nicolasoliver03 2020-04-30 21:22:01 UTC
I have just installed Fedora Server 32.

wpa_supplicant is not there. 
iwd is there. 

I tried to create a wifi connection following this https://nullr0ute.com/2016/09/connect-to-a-wireless-network-using-command-line-nmcli/

The wifi interface is listed as unavailable, so I think wifi is not functional.

Comment 9 Joe Fidler 2020-04-30 22:20:25 UTC
Hi Davide - yep wpa_supplicant not present after install and could not connect to wifi. I manually installed wpa_supplicant (rebooted) and after that was able to setup a working wifi connection. Same as you - iwd is present after install as was NetworkManager-wifi.  


[root@localhost ~]# rpm -qa | grep iwd
iwd-1.6-1.fc32.x86_64

[root@localhost ~]# rpm -qa | grep wpa_supplicant
wpa_supplicant-2.9-3.fc32.x86_64

[root@localhost ~]# rpm -qa | grep NetworkManager-wifi
NetworkManager-wifi-1.22.10-1.fc32.x86_64

[root@localhost ~]# nmcli connection show
NAME        UUID                                  TYPE      DEVICE 
koala_shed  24b147f5-9b1f-4649-a231-5e80884bdaed  wifi      wlp4s0 
enp0s10     b5581919-0ff6-4ec0-9b79-23fdb116ace8  ethernet  --     


[root@localhost ~]# systemctl status iwd.service
● iwd.service - Wireless service
     Loaded: loaded (/usr/lib/systemd/system/iwd.service; disabled; vendor preset: disabled)
     Active: inactive (dead)
     
     
[root@localhost ~]# systemctl status wpa_supplicant.service
● wpa_supplicant.service - WPA supplicant
     Loaded: loaded (/usr/lib/systemd/system/wpa_supplicant.service; disabled; vendor preset: disabled)
     Active: active (running) since Fri 2020-05-01 05:57:19 AEST; 2h 15min ago
   Main PID: 837 (wpa_supplicant)
      Tasks: 1 (limit: 2021)
     Memory: 3.8M
        CPU: 339ms
     CGroup: /system.slice/wpa_supplicant.service
             └─837 /usr/sbin/wpa_supplicant -c /etc/wpa_supplicant/wpa_supplicant.conf -u -s
             
             
We don't broadcast SSIDs so I had to use the following sequence to connect:

nmcli c add type wifi con-name <connect name> ifname wlp4s0 ssid <ssid>

nmcli con modify <connect name> wifi-sec.key-mgmt wpa-psk

nmcli con modify <connect name> wifi-sec.psk <password>

nmcli con up <connect name>

Comment 10 Victor Bogado 2020-05-01 22:25:34 UTC
This still an issue with fedora 32, I've just lost a lot of time trying to figure out why the wifi was "unavailable". There should be a note somewhere reachable byu google stating that this is a required step to make wifi work.

Comment 11 Davide Caratti 2020-05-08 14:44:25 UTC
(In reply to Victor Bogado from comment #10)
> This still an issue with fedora 32, I've just lost a lot of time trying to
> figure out why the wifi was "unavailable". There should be a note somewhere
> reachable byu google stating that this is a required step to make wifi work.

I just re-tested on a fresh system, installing f32 server:

# cat /etc/fedora-release
Fedora release 32 (Thirty Two)
# rpm -qi wpa_supplicant
package wpa_supplicant is not installed
# rpm -qi iwd
package iwd is not installed
# rpm -qi NetworkManager-wifi
package NetworkManager-wifi is not installed
# rpm -qi NetworkManager
Name        : NetworkManager
Epoch       : 1
Version     : 1.22.10
Release     : 1.fc32
Architecture: x86_64
Install Date: Thu 07 May 2020 04:22:56 PM EDT
Group       : System Environment/Base
Size        : 6673489
License     : GPLv2+ and LGPLv2+
Signature   : RSA/SHA256, Thu 12 Mar 2020 11:39:36 AM EDT, Key ID 6c13026d12c944d0
Source RPM  : NetworkManager-1.22.10-1.fc32.src.rpm
Build Date  : Thu 12 Mar 2020 11:21:21 AM EDT
Build Host  : buildvm-32.phx2.fedoraproject.org
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.gnome.org/projects/NetworkManager/
Bug URL     : https://bugz.fedoraproject.org/NetworkManager
Summary     : Network connection manager and user applications
Description :
NetworkManager is a system service that manages network interfaces and
connections based on user or automatic configuration. It supports
Ethernet, Bridge, Bond, VLAN, Team, InfiniBand, Wi-Fi, mobile broadband
(WWAN), PPPoE and other devices, and supports a variety of different VPN
services.

then, installing NetworkManager-wifi the dependency with wpa_supplicant is satisfied:

# dnf -y install NetworkManager-wifi
Last metadata expiration check: 2:41:32 ago on Fri 08 May 2020 07:53:18 AM EDT.
Dependencies resolved.
==============================================================================================================================================================
 Package                                 Architecture               Version                                Repository                                    Size
==============================================================================================================================================================
Installing:
 NetworkManager-wifi                     x86_64                     1:1.22.10-1.fc32                       beaker-Fedora-Everything                     100 k
Installing dependencies:
 wpa_supplicant                          x86_64                     1:2.9-3.fc32                           beaker-Fedora-Everything                     1.4 M

Transaction Summary
==============================================================================================================================================================
Install  2 Packages

Total download size: 1.5 M
Installed size: 5.7 M
Downloading Packages:
(1/2): NetworkManager-wifi-1.22.10-1.fc32.x86_64.rpm                                                                          1.2 MB/s | 100 kB     00:00    
(2/2): wpa_supplicant-2.9-3.fc32.x86_64.rpm                                                                                   7.0 MB/s | 1.4 MB     00:00    
--------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                         7.4 MB/s | 1.5 MB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                      1/1 
  Installing       : wpa_supplicant-1:2.9-3.fc32.x86_64                                                                                                   1/2 
  Running scriptlet: wpa_supplicant-1:2.9-3.fc32.x86_64                                                                                                   1/2 
  Installing       : NetworkManager-wifi-1:1.22.10-1.fc32.x86_64                                                                                          2/2 
  Running scriptlet: NetworkManager-wifi-1:1.22.10-1.fc32.x86_64                                                                                          2/2 
  Verifying        : NetworkManager-wifi-1:1.22.10-1.fc32.x86_64                                                                                          1/2 
  Verifying        : wpa_supplicant-1:2.9-3.fc32.x86_64                                                                                                   2/2 

Installed:
  NetworkManager-wifi-1:1.22.10-1.fc32.x86_64                                        wpa_supplicant-1:2.9-3.fc32.x86_64                                       

Complete!

Comment 12 Joe Fidler 2020-05-08 21:23:24 UTC
When I installed the released DVD iso of Server 32, NetworkManager-wifi was installed by default, but wpa_supplicant was not. 

During install I did check the box (recalling from memory) referring to installing additional network hardware - not sure if this could account for how this situation can occur.

Comment 13 Alexander von Gluck IV 2020-06-26 19:05:19 UTC
Seeing this same issue on the Fedora 32 Server armhfp images. Without wpa_supplicant, network manager refuses to manage wifi connections.

Why is this missing from server?   I'm doing an arm IoT device, so wifi is a requirement out of the box.
All alternative operating systems for arm devices include the ability to connect to wifi as well.

Comment 14 Alexander von Gluck IV 2020-06-26 19:30:00 UTC
actually.. just realized I *do* have NetworkManager-wifi pre-installed onto the arm image. However, wpa_supplicant is not installed.  Maybe wpa_supplicant should be a dependency of NetworkManager-wifi ?

Comment 15 Davide Caratti 2020-06-28 18:47:55 UTC
(In reply to Alexander von Gluck IV from comment #14)
> actually.. just realized I *do* have NetworkManager-wifi pre-installed onto
> the arm image. However, wpa_supplicant is not installed.  Maybe
> wpa_supplicant should be a dependency of NetworkManager-wifi ?

actually, the dependency is in the specfile (see comment #7). Can you check if iwd is present/running instead of wpa_supplicant?

-- 
davide

Comment 16 Steve Dickson 2021-02-03 21:30:37 UTC
I just had the same problem with Fedora 33

I used the server IOS (Fedora-Server-dvd-x86_64-33-1.2.iso)
to do the install. Then I installed a desktop (dnf groupinstall cinnamon)

NetworkManager-wifi was installed but wpa_supplicant
was not.

Once I install wpa_supplicant... wireless start to work.

So there is definitely wrong with the decencies
in NetworkManager-wifi-1:1.26.4-1.fc33 IMHO

Yes, wpa_supplicant should be a dependency of NetworkManager-wifi!!

Comment 17 Beniamino Galvani 2021-02-04 16:33:53 UTC
(In reply to Steve Dickson from comment #16)
> I just had the same problem with Fedora 33

> Yes, wpa_supplicant should be a dependency of NetworkManager-wifi!!

NM-wifi already depends on (wpa_supplicant or iwd). Do you have iwd installed? If so, the question is why it's installed by default on a server machine.

Comment 18 nicolasoliver03 2021-02-08 19:54:47 UTC
My reason to need wifi on a server today is the Edge Server use case.

For example, [1] is an Edge Server.
In the specs [2] you can see that it uses and Intel Xeon processor, have Terabytes of storage, and also have Wifi and GSM modules.

So, this kind of servers are deployed outside the data center, and use WiFi (or they can provide a WiFi network using hostapd)

[1] https://buy.hpe.com/us/en/servers/edgeline-systems/edgeline-systems/edgeline-converged-edge-systems/hpe-edgeline-el1000-converged-edge-system/p/1008670396
[2] https://h20195.www2.hpe.com/v2/gethtml.aspx?docname=c05211199

Comment 19 Beniamino Galvani 2021-02-11 15:21:30 UTC
There seem to be a problem in the dependency resolution during
installation.

After installing Fedora 33 Server with the default package selection,
packages NetworkManager-wifi and iwd are installed.

Note that NetworkManager-wifi has a weak-dependency [1] on
wpa_supplicant [2]:

 Requires: (wpa_supplicant >= %{wpa_supplicant_version} or iwd)
 Suggests: wpa_supplicant

So, one would expect that wpa_supplicant would be installed by default
together with NetworkManager-wifi, instead of iwd. Since NM needs
special configuration to work with iwd, the result is that Wi-Fi is broken.
I didn't find anything that pulls iwd, but maybe it's because I don't
know where to look.

I'm reassigning this bz to the installer to investigate why the weak
dependency on wpa_supplicant is not honored during installation.

[1] https://fedoraproject.org/wiki/Packaging:WeakDependencies
[2] https://src.fedoraproject.org/rpms/NetworkManager/blob/f33/f/NetworkManager.spec#_345

Comment 20 Vendula Poncova 2021-03-05 17:00:50 UTC
The wpa_supplicant package is not available in the local repository on the Fedora Server DVD, so it cannot be installed. I wasn't able to reproduce the issue with the netinst version, so it looks like NetworkManager-wifi is able to choose wpa_supplicant when available. I am not sure whether it is an issue for the comps, but let's start there. Reassigning.

Comment 21 Davide Caratti 2021-03-26 12:40:51 UTC
*** Bug 1893123 has been marked as a duplicate of this bug. ***

Comment 22 Throwaway Name 2021-03-29 12:52:28 UTC
I just ran into this issue with Fedora 34 Beta and Rawhide server images for Raspberry Pi 4, with the first one downloaded from https://getfedora.org/en/server/download/.  I installed the images per the instructions at https://docs.fedoraproject.org/en-US/quick-docs/raspberry-pi/.

The problem with no wpa_supplicant available after a fresh (home) server install has annoyed me for years, so here's a +1 to get this sorted out.  It would improve the initial UX if it was possible to just "nmcli device wifi connect ..." after the installation.

Comment 23 Jeremy Linton 2021-04-22 23:25:43 UTC
I just ran smack into this too:

Apr 05 19:00:19 fedora NetworkManager[813]: <error> [1617667219.5582] device (wlan0): Couldn't initialize supplicant interface: Failed to D-Bus activate wpa_supplicant se>
Apr 05 19:00:20 fedora NetworkManager[813]: <info>  [1617667220.1448] device (enabcm6e4ei0): carrier: link connected
Apr 05 19:00:20 fedora NetworkManager[813]: <info>  [1617667220.1470] device (enabcm6e4ei0): state change: unavailable -> disconnected (reason 'carrier-changed', sys-ifac>
Apr 05 19:00:20 fedora NetworkManager[813]: <info>  [1617667220.1527] policy: auto-activating connection 'enabcm6e4ei0' (96bbf1fc-dca3-4554-9632-e3c5590c0daa)
Apr 05 19:00:20 fedora kernel: bcmgenet BCM6E4E:00 enabcm6e4ei0: Link is Up - 1Gbps/Full - flow control off
Apr 05 19:00:20 fedora kernel: IPv6: ADDRCONF(NETDEV_CHANGE): enabcm6e4ei0: link becomes ready
Apr 05 19:00:20 fedora NetworkManager[813]: <info>  [1617667220.1561] device (enabcm6e4ei0): Activation: starting connection 'enabcm6e4ei0' (96bbf1fc-dca3-4554-9632-e3c55>
Apr 05 19:00:20 fedora NetworkManager[813]: <info>  [1617667220.1570] device (enabcm6e4ei0): state change: disconnected -> prepare (reason 'none', sys-iface-state: 'manag>
Apr 05 19:00:20 fedora NetworkManager[813]: <info>  [1617667220.1595] manager: NetworkManager state is now CONNECTING
Apr 05 19:00:20 fedora NetworkManager[813]: <info>  [1617667220.1615] device (enabcm6e4ei0): state change: prepare -> config (reason 'none', sys-iface-state: 'managed')
...
and then repeating
...
Apr 05 19:00:29 fedora NetworkManager[813]: <warn>  [1617667229.5439] device (wlan0): re-acquiring supplicant interface (#1).
Apr 05 19:00:32 fedora NetworkManager[813]: <error> [1617667232.5483] device (wlan0): Couldn't initialize supplicant interface: Failed to D-Bus activate wpa_supplicant se>
Ap
...
eventually
...
Apr 22 17:32:02 fedora NetworkManager[813]: <info>  [1619130722.5356] exiting (success)

Which means the gnome network settings is unavailable from the settings application.

Installing wpa_supplicant fixed my setup too.

To reproduce, I did a clean PXE install of f34 server (all defaults) on a rpi4 using ACPI+PFTF UEFI, then group installed "Fedora Workstation" when I hit this. The wifi was available during the install, but I was running on the wired interface, otherwise it seems I might have been in trouble.

Comment 24 Jeremy Linton 2021-04-23 02:34:49 UTC
*** Bug 1916528 has been marked as a duplicate of this bug. ***

Comment 25 Alex Callejas 2021-04-30 18:49:22 UTC
Same problem here:

Image: Fedora-Server-34-1.2.aarch64.raw.xz

journalctl:

Apr 05 23:00:31 fedora NetworkManager[971]: <error> [1617681631.5571] device (wlan0): Couldn't initialize supplicant interface: Failed to D-Bus activate wpa_supplicant service
Apr 05 23:00:33 fedora NetworkManager[971]: <info>  [1617681633.9649] manager: startup complete
Apr 05 23:00:42 fedora NetworkManager[971]: <warn>  [1617681642.3040] device (wlan0): re-acquiring supplicant interface (#1).
Apr 05 23:00:45 fedora NetworkManager[971]: <error> [1617681645.3065] device (wlan0): Couldn't initialize supplicant interface: Failed to D-Bus activate wpa_supplicant service
Apr 05 23:00:55 fedora NetworkManager[971]: <warn>  [1617681655.3117] device (wlan0): re-acquiring supplicant interface (#2).
Apr 05 23:00:58 fedora NetworkManager[971]: <error> [1617681658.3155] device (wlan0): Couldn't initialize supplicant interface: Failed to D-Bus activate wpa_supplicant service
Apr 05 23:01:08 fedora NetworkManager[971]: <warn>  [1617681668.3069] device (wlan0): re-acquiring supplicant interface (#3).
Apr 05 23:01:11 fedora NetworkManager[971]: <error> [1617681671.3107] device (wlan0): Couldn't initialize supplicant interface: Failed to D-Bus activate wpa_supplicant service
Apr 05 23:01:21 fedora NetworkManager[971]: <warn>  [1617681681.3079] device (wlan0): re-acquiring supplicant interface (#4).
Apr 05 23:01:24 fedora NetworkManager[971]: <error> [1617681684.3117] device (wlan0): Couldn't initialize supplicant interface: Failed to D-Bus activate wpa_supplicant service
Apr 05 23:01:34 fedora NetworkManager[971]: <warn>  [1617681694.3043] device (wlan0): re-acquiring supplicant interface (#5).
Apr 05 23:01:37 fedora NetworkManager[971]: <error> [1617681697.3081] device (wlan0): Couldn't initialize supplicant interface: Failed to D-Bus activate wpa_supplicant service
Apr 05 23:01:37 fedora NetworkManager[971]: <info>  [1617681697.3083] device (wlan0): supplicant interface keeps failing, giving up

After installing the package and rebooting, it was fixed.

Package: wpa_supplicant-2.9-12.fc34.aarch64.rpm


Note You need to log in before you can comment on or make changes to this bug.